Skip to main content
GET
Jobs list

Authorizations

Authorization
string
header
required

A personal API key (adside_pat_…) or a token from adside login. Either carries the permissions of the person it belongs to.

Path Parameters

workspaceId
string
required
Minimum string length: 1

Query Parameters

type
enum<string>
Available options:
image,
video,
speech,
sound,
music,
avatar,
lipsync
status
enum<string>
Available options:
pending,
in_progress,
completed,
failed,
cancelled,
expired
cursor
string
Required string length: 1 - 200
limit
integer
default:20
Required range: 1 <= x <= 50

Response

200 - application/json

Success

jobs
object[]
required
nextCursor
string